%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  joinet
%global packver   1.0.0
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          1.0.0
Release:          1%{?dist}%{?buildtag}
Summary:          Penalised Multivariate Regression ('Multi-Target Learning')

License:          GPL-3
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel >= 3.0.0
Requires:         R-core >= 3.0.0
BuildArch:        noarch
BuildRequires:    R-CRAN-glmnet 
BuildRequires:    R-CRAN-palasso 
BuildRequires:    R-CRAN-cornet 
Requires:         R-CRAN-glmnet 
Requires:         R-CRAN-palasso 
Requires:         R-CRAN-cornet 

%description
Implements penalised multivariate regression (i.e., for multiple outcomes
and many features) by stacked generalisation
(<doi:10.1093/bioinformatics/btab576>). For positively correlated
outcomes, a single multivariate regression is typically more predictive
than multiple univariate regressions. Includes functions for model
fitting, extracting coefficients, outcome prediction, and performance
measurement. For optional comparisons, install 'remMap' from GitHub
(<https://github.com/cran/remMap>).

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
